Generation Framework

## org.eclipse.gmf.mappings.impl
Class FeatureLabelMappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.LabelMappingImpl
                      org.eclipse.gmf.mappings.impl.FeatureLabelMappingImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FeatureLabelMapping, LabelMapping

    public class FeatureLabelMappingImpl

extends LabelMappingImpl
implements FeatureLabelMapping

An implementation of the model object 'Feature Label Mapping'.

The following features are implemented:

- `Features`
- `Editable Features`
- `View Pattern`
- `Editor Pattern`
- `Edit Pattern`
- `View Method`
- `Edit Method`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static LabelTextAccessMethod` `EDIT_METHOD_EDEFAULT` The default value of the '`Edit Method`' attribute
`protected static java.lang.String` `EDIT_PATTERN_EDEFAULT` The default value of the '`Edit Pattern`' attribute
`protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute>` `editableFeatures` The cached value of the '`Editable Features`' reference list
`protected LabelTextAccessMethod` `editMethod` The cached value of the '`Edit Method`' attribute
`protected static java.lang.String` `EDITOR_PATTERN_EDEFAULT` The default value of the '`Editor Pattern`' attribute
`protected java.lang.String` `editorPattern` The cached value of the '`Editor Pattern`' attribute
`protected java.lang.String` `editPattern` The cached value of the '`Edit Pattern`' attribute
`protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute>` `features` The cached value of the '`Features`' reference list
`protected static LabelTextAccessMethod` `VIEW_METHOD_EDEFAULT` The default value of the '`View Method`' attribute
`protected static java.lang.String` `VIEW_PATTERN_EDEFAULT` The default value of the '`View Pattern`' attribute
`protected LabelTextAccessMethod` `viewMethod` The cached value of the '`View Method`' attribute
`protected java.lang.String` `viewPattern` The cached value of the '`View Pattern`' attribute

Fields inherited from class org.eclipse.gmf.mappings.impl.LabelMappingImpl
`diagramLabel, READ_ONLY_EDEFAULT, readOnly`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FeatureLabelMappingImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute>` `getEditableFeatures()`
`LabelTextAccessMethod` `getEditMethod()`
`java.lang.String` `getEditorPattern()`
`java.lang.String` `getEditPattern()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute>` `getFeatures()`
`LabelTextAccessMethod` `getViewMethod()`
`java.lang.String` `getViewPattern()`
`void` `setEditMethod(LabelTextAccessMethod newEditMethod)`
`void` `setEditorPattern(java.lang.String newEditorPattern)`
`void` `setEditPattern(java.lang.String newEditPattern)`
`void` `setViewMethod(LabelTextAccessMethod newViewMethod)`
`void` `setViewPattern(java.lang.String newViewPattern)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.mappings.impl.LabelMappingImpl
`basicGetDiagramLabel, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.mappings.LabelMapping
`getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### features

    protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute> features

  The cached value of the '`Features`' reference list.

  See Also:
    `getFeatures()`
  ** Generated **
  Ordered:

### editableFeatures

    protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute> editableFeatures

  The cached value of the '`Editable Features`' reference list.

  See Also:
    `getEditableFeatures()`
  ** Generated **
  Ordered:

### VIEW_PATTERN_EDEFAULT

    protected static final java.lang.String VIEW_PATTERN_EDEFAULT

  The default value of the '`View Pattern`' attribute.

  See Also:
    `getViewPattern()`
  ** Generated **
  Ordered:

### viewPattern

    protected java.lang.String viewPattern

  The cached value of the '`View Pattern`' attribute.

  See Also:
    `getViewPattern()`
  ** Generated **
  Ordered:

### EDITOR_PATTERN_EDEFAULT

    protected static final java.lang.String EDITOR_PATTERN_EDEFAULT

  The default value of the '`Editor Pattern`' attribute.

  See Also:
    `getEditorPattern()`
  ** Generated **
  Ordered:

### editorPattern

    protected java.lang.String editorPattern

  The cached value of the '`Editor Pattern`' attribute.

  See Also:
    `getEditorPattern()`
  ** Generated **
  Ordered:

### EDIT_PATTERN_EDEFAULT

    protected static final java.lang.String EDIT_PATTERN_EDEFAULT

  The default value of the '`Edit Pattern`' attribute.

  See Also:
    `getEditPattern()`
  ** Generated **
  Ordered:

### editPattern

    protected java.lang.String editPattern

  The cached value of the '`Edit Pattern`' attribute.

  See Also:
    `getEditPattern()`
  ** Generated **
  Ordered:

### VIEW_METHOD_EDEFAULT

    protected static final LabelTextAccessMethod VIEW_METHOD_EDEFAULT

  The default value of the '`View Method`' attribute.

  See Also:
    `getViewMethod()`
  ** Generated **
  Ordered:

### viewMethod

    protected LabelTextAccessMethod viewMethod

  The cached value of the '`View Method`' attribute.

  See Also:
    `getViewMethod()`
  ** Generated **
  Ordered:

### EDIT_METHOD_EDEFAULT

    protected static final LabelTextAccessMethod EDIT_METHOD_EDEFAULT

  The default value of the '`Edit Method`' attribute.

  See Also:
    `getEditMethod()`
  ** Generated **
  Ordered:

### editMethod

    protected LabelTextAccessMethod editMethod

  The cached value of the '`Edit Method`' attribute.

  See Also:
    `getEditMethod()`
  ** Generated **
  Ordered:

Constructor Detail

### FeatureLabelMappingImpl

    protected FeatureLabelMappingImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `LabelMappingImpl`
  ** Generated **

### getFeatures

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute> getFeatures()

  Specified by:
    `getFeatures` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'Features' reference list.
  See Also:
    `GMFMapPackage.getFeatureLabelMapping_Features()`
  ** Generated **

### getEditableFeatures

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute> getEditableFeatures()

  Specified by:
    `getEditableFeatures` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'Editable Features' reference list.
  See Also:
    `GMFMapPackage.getFeatureLabelMapping_EditableFeatures()`
  ** Generated **

### getViewPattern

    public java.lang.String getViewPattern()

  Specified by:
    `getViewPattern` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'View Pattern' attribute.
  See Also:
    `FeatureLabelMapping.setViewPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_ViewPattern()`
  ** Generated **

### setViewPattern

    public void setViewPattern(java.lang.String newViewPattern)

  Specified by:
    `setViewPattern` in interface `FeatureLabelMapping`
  Parameters:
    `newViewPattern` - the new value of the 'View Pattern' attribute.
  See Also:
    `FeatureLabelMapping.getViewPattern()`
  ** Generated **

### getEditorPattern

    public java.lang.String getEditorPattern()

  Specified by:
    `getEditorPattern` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'Editor Pattern' attribute.
  See Also:
    `FeatureLabelMapping.setEditorPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_EditorPattern()`
  ** Generated **

### setEditorPattern

    public void setEditorPattern(java.lang.String newEditorPattern)

  Specified by:
    `setEditorPattern` in interface `FeatureLabelMapping`
  Parameters:
    `newEditorPattern` - the new value of the 'Editor Pattern' attribute.
  See Also:
    `FeatureLabelMapping.getEditorPattern()`
  ** Generated **

### getViewMethod

    public LabelTextAccessMethod getViewMethod()

  Specified by:
    `getViewMethod` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `FeatureLabelMapping.setViewMethod(LabelTextAccessMethod)`, `GMFMapPackage.getFeatureLabelMapping_ViewMethod()`
  ** Generated **

### setViewMethod

    public void setViewMethod(LabelTextAccessMethod newViewMethod)

  Specified by:
    `setViewMethod` in interface `FeatureLabelMapping`
  Parameters:
    `newViewMethod` - the new value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `FeatureLabelMapping.getViewMethod()`
  ** Generated **

### getEditPattern

    public java.lang.String getEditPattern()

  Specified by:
    `getEditPattern` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'Edit Pattern' attribute.
  See Also:
    `FeatureLabelMapping.setEditPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_EditPattern()`
  ** Generated **

### setEditPattern

    public void setEditPattern(java.lang.String newEditPattern)

  Specified by:
    `setEditPattern` in interface `FeatureLabelMapping`
  Parameters:
    `newEditPattern` - the new value of the 'Edit Pattern' attribute.
  See Also:
    `FeatureLabelMapping.getEditPattern()`
  ** Generated **

### getEditMethod

    public LabelTextAccessMethod getEditMethod()

  Specified by:
    `getEditMethod` in interface `FeatureLabelMapping`
  Returns:
    the value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `FeatureLabelMapping.setEditMethod(LabelTextAccessMethod)`, `GMFMapPackage.getFeatureLabelMapping_EditMethod()`
  ** Generated **

### setEditMethod

    public void setEditMethod(LabelTextAccessMethod newEditMethod)

  Specified by:
    `setEditMethod` in interface `FeatureLabelMapping`
  Parameters:
    `newEditMethod` - the new value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `FeatureLabelMapping.getEditMethod()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `LabelMappingImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `LabelMappingImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `LabelMappingImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `LabelMappingImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `LabelMappingImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.